> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Principals

> Returns OIDC workload bindings that can exchange external tokens for short
lived Mount Thor sessions.



## OpenAPI

````yaml /api-reference/customer-api.v1.openapi.json get /v1/admin/identity/principals
openapi: 3.1.0
info:
  title: Mount Thor Customer API
  version: v1
servers:
  - description: Mount Thor customer API edge
    url: https://api.mountthor.com
security: []
paths:
  /v1/admin/identity/principals:
    get:
      tags:
        - identity-workload
      summary: List Principals
      description: >-
        Returns OIDC workload bindings that can exchange external tokens for
        short

        lived Mount Thor sessions.
      operationId: list_workload_principals
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkloadPrincipalListResponse'
          description: Principals
        '401':
          description: Missing or invalid customer API key
        '403':
          description: API key is missing principals:read scope
        '429':
          content:
            text/plain:
              schema:
                type: string
          description: Rate limit exceeded
          headers:
            Retry-After:
              description: Seconds before retry.
              schema:
                minimum: 1
                type: integer
      security:
        - api_key_bearer:
            - principals:read
components:
  schemas:
    WorkloadPrincipalListResponse:
      additionalProperties: false
      description: Principal listing response.
      properties:
        customer_id:
          description: Stable UUID for the customer account.
          type: string
        principals:
          description: Workload principals registered for this customer.
          items:
            $ref: '#/components/schemas/WorkloadPrincipalMetadata'
          type: array
      required:
        - customer_id
        - principals
      type: object
    WorkloadPrincipalMetadata:
      additionalProperties: false
      description: Principal metadata.
      properties:
        claim_constraints:
          description: >-
            Additional claim constraints used when `subject_match_type` is
            `claim-constraints`.
          type: object
        created_at:
          description: RFC 3339 creation timestamp.
          example: '2026-05-25T17:20:00Z'
          type: string
        display_name:
          description: Customer-facing principal label.
          example: ci-prod-deploy
          type: string
        id:
          description: Stable principal UUID.
          type: string
        max_session_ttl_seconds:
          example: 900
          format: int64
          type: integer
        scopes:
          example:
            - compute:read
            - compute:write
          items:
            type: string
          type: array
        status:
          description: Principal lifecycle state. Disabled principals cannot mint sessions.
          example: active
          type: string
        subject_match_type:
          description: 'Subject matching mode: `exact` or `claim-constraints`.'
          example: exact
          type: string
        subject_match_value:
          description: Required subject value or descriptor for the claim constraint.
          example: repo:Mount-Thor/mount-thor:ref:refs/heads/main
          type: string
        tenant_id:
          type: string
        trusted_issuer_id:
          type: string
        updated_at:
          description: RFC 3339 update timestamp.
          example: '2026-05-25T17:30:00Z'
          type: string
      required:
        - id
        - tenant_id
        - trusted_issuer_id
        - display_name
        - subject_match_type
        - subject_match_value
        - claim_constraints
        - scopes
        - max_session_ttl_seconds
        - status
        - created_at
        - updated_at
      type: object
  securitySchemes:
    api_key_bearer:
      bearerFormat: mthr_live_*
      description: Bearer scheme name used by typed customer admin operations.
      scheme: bearer
      type: http

````